Subject: bug#21526: 24.5; prolog-mode: broken indentation for if-then-else construct

From: Markus Triska <[email-masked]>
Date: Thu, 22 Oct 2015 21:08:15 +0200

Stefan Monnier <[email-masked]> writes:

> OK, let's turn things around, indeed: we revert to Stefan Bruda's
> indentation code, you're handed responsibility over that code, and I get
> to send you the bug reports about all the regressions this will introduce.

This would be a good improvement in most respects I consider important,
thank you! I will treat all issues you and others send to me with great
care and attention, and work on correcting all regressions and issues I
can. I have a lot of experience editing Prolog code with Emacs and can
spot regressions quickly. I reported these issues in the hope that you
can modify the SMIE-based indentation to be more useful in practical
situations. Seeing that is not the case in general, please do restore
the original behaviour, or at least enable it by default via a flag.

Thank you and all the best,
Markus